petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMTSGetSolutionFunction

gets the TS solution evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetSolutionFunction(DM dm,TSSolutionFunction *func,void **ctx)

Not Collective Many br

### Input Arguments

dm -DM to be used with TS Many br

### Output Parameters

| func | - solution function evaluation function, see TSSetSolution() for calling sequence Many br
| ctx | - context for solution evaluation Many br

Many br

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages